% rslt = gasBoxMergeRslt(rslt, rsltArray)
%   rsltArray is a cell array of gasBoxSingle results

function rslt = gasBoxMergeRslt(rslt, rsltArray)
  
  if iscell(rsltArray)
    for n = 1:numel(rsltArray)
      % cell array of results on each surface
      rsltN = rsltArray{n};
      for m = 1:numel(rslt)
        rslt(m).forceVsTime = rslt(m).forceVsTime + rsltN(m).forceVsTime;
        rslt(m).velNormDist = rslt(m).velNormDist + rsltN(m).velNormDist;
      end
    end
  else
    % just one result to add on each surface
    for m = 1:numel(rslt)
      rslt(m).forceVsTime = rslt(m).forceVsTime + rsltArray(m).forceVsTime;
      rslt(m).velNormDist = rslt(m).velNormDist + rsltArray(m).velNormDist;
    end
  end
  
end
